Update Blacklist Entry
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 12,
"value": "culpa",
"type": "email",
"match_type": "exact",
"reason": "culpa",
"message": "culpa",
"payment_method_ids": null,
"enabled": false,
"active_from": "2020-09-01",
"active_to": "2020-09-01"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update"
payload = {
"id": 12,
"value": "culpa",
"type": "email",
"match_type": "exact",
"reason": "culpa",
"message": "culpa",
"payment_method_ids": None,
"enabled": False,
"active_from": "2020-09-01",
"active_to": "2020-09-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 12,
value: 'culpa',
type: 'email',
match_type: 'exact',
reason: 'culpa',
message: 'culpa',
payment_method_ids: null,
enabled: false,
active_from: '2020-09-01',
active_to: '2020-09-01'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Blacklist
Update Blacklist Entry
Updates a specific blacklist entry.
PUT
/
v1
/
shops
/
{shopId}
/
blacklist
/
{blacklistId}
/
update
Update Blacklist Entry
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Example:
12
Example:
"culpa"
Available options:
email, email_domain, disposable_email, discord_id, country_code, city, ip, ip_range, isp, asn, vpn, tor, user_agent Example:
"email"
Available options:
exact, regex Example:
"exact"
Example:
"culpa"
Example:
"culpa"
Example:
null
Example:
false
Must be a valid date. Must be a date before 2038-01-19.
Example:
"2020-09-01"
Must be a valid date. Must be a date after active_from. Must be a date before 2038-01-19.
Example:
"2020-09-01"
Response
200 - undefined